commit e334a6c0c3dcb6aeacd5d752a68a0f927686b2a0
Author: Tomáš Ballák <ballakt@zcu.cz>
Date:   Thu May 28 01:40:11 2020 +0200

    error site

diff --git a/docker-compose-dev.yml b/docker-compose-dev.yml
index 565edc1..ca540c2 100644
--- a/docker-compose-dev.yml
+++ b/docker-compose-dev.yml
@@ -5,6 +5,7 @@ services:
                volumes:
                         - vscode-extensions-php:/var/www/symfony/.vscode-server/extensions
                         - ./logs/xdebug:/var/www/symfony/xdebug
+
        crawler:
                volumes: 
                         - vscode-extensions-crawler:/src/.vscode-server/extensions
diff --git a/docker-compose-prod.yml b/docker-compose-prod.yml
index 117d1f6..913a5ca 100644
--- a/docker-compose-prod.yml
+++ b/docker-compose-prod.yml
@@ -16,4 +16,8 @@ services:
        crawler:
               volumes: 
                      - /logs/crawler:/src/CrawlerLogs
-                     - /data/crawler:/src/CrawledData
\ No newline at end of file
+                     - /data/crawler:/src/CrawledData
+       php-fpm:
+              environment: 
+                         - APP_ENV=prod
+                         - APP_DEBUG=0
\ No newline at end of file
diff --git a/scripts/renew_certificate.sh b/scripts/renew_certificate.sh
index b8629c2..622233c 100755
--- a/scripts/renew_certificate.sh
+++ b/scripts/renew_certificate.sh
@@ -6,7 +6,7 @@
 if [ "$1" = "new" ]; then
     docker-compose exec nginx /bin/sh -c "
     cd /root/.acme.sh; \
-    bash acme.sh  --issue  -d heatmap.zcu.cz -d www.heatmap.zcu.cz  --nginx /etc/nginx/sites-available/default.conf --debug 2; \
+    bash acme.sh  --issue --nginx /etc/nginx/sites-available/default.conf -d heatmap.zcu.cz -d www.heatmap.zcu.cz --debug 2; \
     bash acme.sh --installcert -d heatmap.zcu.cz -d www.heatmap.zcu.cz\
     --key-file /certificate/key.pem \
     --fullchain-file /certificate/cert.pem \
diff --git a/website/public/css/404.css b/website/public/css/404.css
new file mode 100644
index 0000000..33ca48d
--- /dev/null
+++ b/website/public/css/404.css
@@ -0,0 +1,60 @@
+.error-box-404{
+    display: flex;
+    width: 50vw;
+    height: 50vh;
+    margin: auto;
+    margin-top: 24vh;
+    justify-content: center;
+    flex-direction: column;
+    align-items: center;
+    font-family: 'Be Vietnam', sans-serif;
+}
+.error-box-404 h1{
+    font-size: 150pt;
+    color: rgb(20,20,20);
+    text-shadow: 1px 1px #0B155A;
+    margin: 0px;
+    font-weight: bold;
+}
+.error-box-404 h2{
+    font-size: 14pt;
+    font-weight: normal;
+    margin-left: -50px;
+    margin-right: -50px;
+    color: dimgray;
+}
+.error-box-404 h1 span {
+    display: inline-block;
+    animation-name: example;
+    animation-timing-function: cubic-bezier(0.95, 0.05, 0.795, 0.035);
+    animation-fill-mode: forwards;
+    animation-duration: 4s;
+}
+.error-box-404 > a{
+    background: black;
+    padding: 15px;
+    padding-left: 20px;
+    padding-right: 20px;
+    border-radius: 30px;
+    color: white;
+}
+.error-box-404 >  a {
+    text-decoration: none;
+    color: white;
+    font-weight: bold;
+    transition: all 0.3s ease-out;
+}
+.error-box-404 > a:hover {
+    -webkit-box-shadow: 0px 0px 54px 0px rgba(0,0,0,0.41);
+    -moz-box-shadow: 0px 0px 54px 0px rgba(0,0,0,0.41);
+    box-shadow: 0px 0px 54px 0px rgba(0,0,0,0.41);
+}
+.error-box-wrapper {
+    width: 100vw;
+    height: 100vh;
+    display: flex;
+    flex-direction: column;
+    justify-content: center;
+    align-items: center;
+    background: whtie;
+}
\ No newline at end of file
diff --git a/website/templates/bundles/TwigBundle/Exception/error404.html.twig b/website/templates/bundles/TwigBundle/Exception/error404.html.twig
new file mode 100644
index 0000000..376355e
--- /dev/null
+++ b/website/templates/bundles/TwigBundle/Exception/error404.html.twig
@@ -0,0 +1,15 @@
+{# templates/bundles/TwigBundle/Exception/error404.html.twig #}
+{% extends 'base.html.twig' %}
+{% block stylesheets %}
+<link rel="stylesheet" href="{{ asset('css/404.css') }}">
+{% endblock %}
+
+{% block body %}
+<div class="error-box-wrapper">
+    <div class="error-box-404">
+        <h2>Stránka nebyla nalezena</h2>
+        <h1>404</h1>
+        <a href="https://heatmap.zcu.cz"><span class="home">Domovská stránka ⇢ </span></a>
+    </div>
+</div>
+{% endblock %}
\ No newline at end of file