commit f9e481774b0e1e37d8a72098d684f7abd916ed72
Author: Tomáš Ballák <balllak.tomas@gmail.com>
Date:   Wed Apr 29 20:53:56 2020 +0200

    python works

diff --git a/.docker-compose-dev.yml b/.docker-compose-dev.yml
deleted file mode 100644
index 8015752..0000000
--- a/.docker-compose-dev.yml
+++ /dev/null
@@ -1,53 +0,0 @@
-version: "3.2"
-services:
-       php-fpm:
-               build: ./build/php-fpm/dev/
-               depends_on: 
-                       - database
-               networks:
-                   - backend
-               ports: 
-                       - "9000:9000"
-               volumes:
-                       - ./website/:/var/www/symfony
-                       - ./python-module:/var/python-module
-               container_name: "heatmap_php_fpm"
-               environment:
-                       XDEBUG_CONFIG: remote_host=172.17.0.1 #your docker network i TODO:NOT WORKING
-       nginx:
-               build: './build/nginx'
-               depends_on:
-                       - php-fpm
-                       - database
-               networks:
-                       - frontend
-                       - backend
-               ports:
-                       - "80:80"
-               volumes:
-                       - ./logs/nginx:/var/log/nginx
-                       - ./website/:/var/www/symfony
-               container_name: "heatmap_nginx"
-       database:
-               image: 'mongo'
-               container_name: "heatmap_mongodb"
-               restart: always
-               networks:
-                       - backend
-               ports:
-                       - '27017-27019:27017-27019'
-              
-               environment:
-                       MONGO_INITDB_DATABASE: open-data-db
-                       MONGO_INITDB_ROOT_USERNAME: root
-                       MONGO_INITDB_ROOT_PASSWORD: root
-               volumes:
-                        - data-db:/data/db
-                        - ./dev-dump:/dev-dump
-                        
-volumes:
-    data-db:
-    
-networks:
-       frontend:
-       backend:
diff --git a/.gitignore b/.gitignore
index 8ff2644..0eec1e5 100644
--- a/.gitignore
+++ b/.gitignore
@@ -3,3 +3,4 @@ database
 .idea
 dev-dump
 *.lock
+.vscode-server
diff --git a/README.md b/README.md
index f9a22bc..3aaa395 100644
--- a/README.md
+++ b/README.md
@@ -24,15 +24,15 @@
 * First you need to set python interpeter to the containers by **following these steps**
 <div style="display: flex; flex-direction: row; justify-content: space-around;flex-wrap: wrap">
   <div style="height: 450px; display: flex; justify-content: space-between;flex-direction: column;">
-  <img src="./guide/1.png" width="500px" style="display: block"/>
+  <img src="./doc/images/1.png" width="500px" style="display: block"/>
   <p style="background: red">A. Enter Settings (File/Preferences/Settings)</p>
   </div>
   <div style="height: 450px; display: flex; justify-content: space-between; flex-direction: column;">
-  <img src="./guide/2.png" width="500px" height="360px" style="display: block"/>
+  <img src="./doc/images/2.png" width="500px" height="360px" style="display: block"/>
   <p style="background: red">B. In the left panel choose <b>Docker</b> and in <b>Image Name</b> choose <b>heatmap_py-charm</b></p>
   </div>
   <div style="height: 450px; display: flex; justify-content: space-between;flex-direction: column;">
-  <img src="./guide/3.png" width="500px" style="display: block"/>
+  <img src="./doc/images/3.png" width="500px" style="display: block"/>
   <p style="background: red">C. When setup is ok you will see all packages from requirements on this screen</b></p>
   </div>
 </div>
diff --git a/build/nginx/Dockerfile b/build/nginx/Dockerfile
deleted file mode 100644
index 1f8d147..0000000
--- a/build/nginx/Dockerfile
+++ /dev/null
@@ -1,6 +0,0 @@
-FROM nginx:alpine
-COPY nginx.conf /etc/nginx
-COPY conf.d /etc/nginx/conf.d
-ADD ./sites /etc/nginx/sites-available
-WORKDIR /var/www/
-CMD ["nginx"]
diff --git a/build/nginx/conf.d/default.conf b/build/nginx/conf.d/default.conf
deleted file mode 100644
index 39ee707..0000000
--- a/build/nginx/conf.d/default.conf
+++ /dev/null
@@ -1,3 +0,0 @@
-upstream php-upstream {
-    server php-fpm:9000;
-}
\ No newline at end of file
diff --git a/build/nginx/nginx.conf b/build/nginx/nginx.conf
deleted file mode 100644
index 2540031..0000000
--- a/build/nginx/nginx.conf
+++ /dev/null
@@ -1,22 +0,0 @@
-user  nginx;
-worker_processes  4;
-daemon off;
-
-error_log  /var/log/nginx/error.log warn;
-pid        /var/run/nginx.pid;
-
-events {
-    worker_connections  1024;
-}
-
-
-http {
-    include       /etc/nginx/mime.types;
-    default_type  application/octet-stream;
-    access_log  /var/log/nginx/access.log;
-    sendfile        on;
-    keepalive_timeout  65;
-
-    include /etc/nginx/conf.d/*.conf;
-    include /etc/nginx/sites-available/*.conf;
-}
\ No newline at end of file
diff --git a/build/nginx/sites/default.conf b/build/nginx/sites/default.conf
deleted file mode 100644
index 9b09e80..0000000
--- a/build/nginx/sites/default.conf
+++ /dev/null
@@ -1,27 +0,0 @@
-server {
-    listen 80 default_server;
-    listen [::]:80 default_server ipv6only=on;
-
-    server_name localhost;
-    root /var/www/symfony/public;
-    index index.php index.html index.htm;
-
-    location / {
-         try_files $uri $uri/ /index.php$is_args$args;
-    }
-
-    location ~ \.php$ {
-        try_files $uri /index.php =404;
-        fastcgi_pass php-upstream;
-        fastcgi_index index.php;
-        fastcgi_buffers 16 16k;
-        fastcgi_buffer_size 32k;
-        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
-        fastcgi_read_timeout 600;
-        include fastcgi_params;
-    }
-
-    location ~ /\.ht {
-        deny all;
-    }
-}
diff --git a/build/php-fpm/Dockerfile b/build/php-fpm/Dockerfile
deleted file mode 100644
index 1689b7a..0000000
--- a/build/php-fpm/Dockerfile
+++ /dev/null
@@ -1,19 +0,0 @@
-FROM php:7.4-fpm-alpine
-RUN apk update; \
-	apk upgrade; \
-	apk add autoconf openssl-dev g++ make && \
-    echo "**** install MongoDB ****\n" && \
-	pecl install mongodb && \
-	docker-php-ext-enable mongodb; \
-	apk del --purge autoconf openssl-dev g++ make;
-RUN echo "**** install Python ****\n" && \
-    apk add --no-cache python3 && \
-    if [ ! -e /usr/bin/python ]; then ln -sf python3 /usr/bin/python ; fi && \
-    \
-    echo "**** install pip ****\n" && \
-    python3 -m ensurepip && \
-    rm -r /usr/lib/python*/ensurepip && \
-    pip3 install --no-cache --upgrade pip setuptools wheel && \
-    if [ ! -e /usr/bin/pip ]; then ln -s pip3 /usr/bin/pip ; fi
-RUN echo "**** install PHP Composer ****\n" && \
-    curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
\ No newline at end of file
diff --git a/build/php-fpm/dev/Dockerfile b/build/php-fpm/dev/Dockerfile
deleted file mode 100644
index f98a6ba..0000000
--- a/build/php-fpm/dev/Dockerfile
+++ /dev/null
@@ -1,22 +0,0 @@
-#DEV ONLY DOCKERFILE
-FROM php:7.4-fpm-alpine
-RUN apk update; \
-	apk upgrade; \
-	apk add autoconf openssl-dev g++ make && \
-	pecl install mongodb && \
-	docker-php-ext-enable mongodb; \
-	apk del --purge autoconf openssl-dev g++ make;
-
-RUN echo "**** install Python ****" && \
-    apk add --no-cache python3 && \
-    if [ ! -e /usr/bin/python ]; then ln -sf python3 /usr/bin/python ; fi && \
-    \
-    echo "**** install pip ****" && \
-    python3 -m ensurepip && \
-    rm -r /usr/lib/python*/ensurepip && \
-    pip3 install --no-cache --upgrade pip setuptools wheel && \
-    if [ ! -e /usr/bin/pip ]; then ln -s pip3 /usr/bin/pip ; fi
-RUN echo "**** install PHP Composer ****\n" && \
-    curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
-COPY requirements.txt /requirements.txt
-RUN pip install -r /requirements.txt
\ No newline at end of file
diff --git a/build/php-fpm/dev/requirements.txt b/build/php-fpm/dev/requirements.txt
deleted file mode 100644
index e69de29..0000000
diff --git a/build/php-fpm/dev/xdebug.ini b/build/php-fpm/dev/xdebug.ini
deleted file mode 100644
index efd9594..0000000
--- a/build/php-fpm/dev/xdebug.ini
+++ /dev/null
@@ -1,6 +0,0 @@
-[XDebug]
-xdebug.remote_enable=1
-xdebug.remote_autostart=1
-xdebug.remote_handler=dbgp
-xdebug.remote_port=9000
-xdebug.remote_connect_back=0
\ No newline at end of file
diff --git a/doc/images/1.png b/doc/images/1.png
new file mode 100644
index 0000000..d8237e7
Binary files /dev/null and b/doc/images/1.png differ
diff --git a/doc/images/2.png b/doc/images/2.png
new file mode 100644
index 0000000..05fbdb0
Binary files /dev/null and b/doc/images/2.png differ
diff --git a/doc/images/3.png b/doc/images/3.png
new file mode 100644
index 0000000..4c63e7b
Binary files /dev/null and b/doc/images/3.png differ
diff --git a/docker-compose-dev.yml b/docker-compose-dev.yml
new file mode 100644
index 0000000..5d83613
--- /dev/null
+++ b/docker-compose-dev.yml
@@ -0,0 +1,19 @@
+version: "3.2"
+services:
+       php-fpm:
+               volumes:
+                        - vscode-extensions-php:/var/www/symgfony/.vscode-server/extensions
+       crawler:
+               build: 
+                        context: ./modules/crawler
+                        dockerfile: ../../docker/crawler/Dockerfile
+               volumes: 
+                        - vscode-extensions-crawler:/src/.vscode-server/extensions
+       database:
+               volumes:
+                        - data-db:/data/db
+                        - ./dev-dump:/dev-dump
+volumes:
+    data-db:
+    vscode-extensions-php:
+    vscode-extensions-crawler:
\ No newline at end of file
diff --git a/docker-compose-prod.yml b/docker-compose-prod.yml
new file mode 100644
index 0000000..24d3826
--- /dev/null
+++ b/docker-compose-prod.yml
@@ -0,0 +1,5 @@
+version: "3.2"
+services:
+       database:
+               volumes:
+                        - /database:/data/db
\ No newline at end of file
diff --git a/docker-compose.yml b/docker-compose.yml
index 4f730e6..c4099ff 100644
--- a/docker-compose.yml
+++ b/docker-compose.yml
@@ -1,7 +1,18 @@
 version: "3.2"
 services:
+       crawler:
+                build: './docker/crawler'
+                depends_on: 
+                        - database
+                networks:
+                        - backend
+                volumes:
+                        - ./modules/crawler/:/src
+                        - ./logs/crawler:/log/
+                container_name: "heatmap_crawler"
+                
        php-fpm:
-               build: './build/php-fpm'
+               build: './docker/php-fpm'
                depends_on: 
                        - database
                networks:
@@ -10,14 +21,14 @@ services:
                        - "9000:9000"
                volumes:
                        - ./website/:/var/www/symfony
-                       - ./python-module:/var/python-module
 
                container_name: "heatmap_php_fpm"
        nginx:
-               build: './build/nginx'
+               build: './docker/nginx'
                depends_on:
                        - php-fpm
                        - database
+                       - crawler
                networks:
                        - frontend
                        - backend
@@ -39,8 +50,6 @@ services:
                        MONGO_INITDB_DATABASE: open-data-db
                        MONGO_INITDB_ROOT_USERNAME: root
                        MONGO_INITDB_ROOT_PASSWORD: root
-               volumes:
-                        - /database:/data/db
 networks:
        frontend:
        backend:
diff --git a/docker/crawler/Dockerfile b/docker/crawler/Dockerfile
new file mode 100644
index 0000000..0a2eefc
--- /dev/null
+++ b/docker/crawler/Dockerfile
@@ -0,0 +1,13 @@
+FROM python:3-slim
+
+RUN apt-get update && apt-get install -y cron
+RUN yes | apt-get install software-properties-common
+RUN apt-get install dialog apt-utils -y
+RUN pip install -q --no-cache-dir --upgrade pip
+ADD crontab /etc/cron.d/simple-cron
+RUN chmod 0644 /etc/cron.d/simple-cron
+RUN crontab /etc/cron.d/simple-cron
+
+ADD requirements.txt /requirements.txt
+RUN pip install -r /requirements.txt
+CMD cron -f
diff --git a/docker/nginx/Dockerfile b/docker/nginx/Dockerfile
new file mode 100644
index 0000000..1f8d147
--- /dev/null
+++ b/docker/nginx/Dockerfile
@@ -0,0 +1,6 @@
+FROM nginx:alpine
+COPY nginx.conf /etc/nginx
+COPY conf.d /etc/nginx/conf.d
+ADD ./sites /etc/nginx/sites-available
+WORKDIR /var/www/
+CMD ["nginx"]
diff --git a/docker/nginx/conf.d/default.conf b/docker/nginx/conf.d/default.conf
new file mode 100644
index 0000000..39ee707
--- /dev/null
+++ b/docker/nginx/conf.d/default.conf
@@ -0,0 +1,3 @@
+upstream php-upstream {
+    server php-fpm:9000;
+}
\ No newline at end of file
diff --git a/docker/nginx/nginx.conf b/docker/nginx/nginx.conf
new file mode 100644
index 0000000..2540031
--- /dev/null
+++ b/docker/nginx/nginx.conf
@@ -0,0 +1,22 @@
+user  nginx;
+worker_processes  4;
+daemon off;
+
+error_log  /var/log/nginx/error.log warn;
+pid        /var/run/nginx.pid;
+
+events {
+    worker_connections  1024;
+}
+
+
+http {
+    include       /etc/nginx/mime.types;
+    default_type  application/octet-stream;
+    access_log  /var/log/nginx/access.log;
+    sendfile        on;
+    keepalive_timeout  65;
+
+    include /etc/nginx/conf.d/*.conf;
+    include /etc/nginx/sites-available/*.conf;
+}
\ No newline at end of file
diff --git a/docker/nginx/sites/default.conf b/docker/nginx/sites/default.conf
new file mode 100644
index 0000000..9b09e80
--- /dev/null
+++ b/docker/nginx/sites/default.conf
@@ -0,0 +1,27 @@
+server {
+    listen 80 default_server;
+    listen [::]:80 default_server ipv6only=on;
+
+    server_name localhost;
+    root /var/www/symfony/public;
+    index index.php index.html index.htm;
+
+    location / {
+         try_files $uri $uri/ /index.php$is_args$args;
+    }
+
+    location ~ \.php$ {
+        try_files $uri /index.php =404;
+        fastcgi_pass php-upstream;
+        fastcgi_index index.php;
+        fastcgi_buffers 16 16k;
+        fastcgi_buffer_size 32k;
+        fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
+        fastcgi_read_timeout 600;
+        include fastcgi_params;
+    }
+
+    location ~ /\.ht {
+        deny all;
+    }
+}
diff --git a/docker/php-fpm/Dockerfile b/docker/php-fpm/Dockerfile
new file mode 100644
index 0000000..1689b7a
--- /dev/null
+++ b/docker/php-fpm/Dockerfile
@@ -0,0 +1,19 @@
+FROM php:7.4-fpm-alpine
+RUN apk update; \
+	apk upgrade; \
+	apk add autoconf openssl-dev g++ make && \
+    echo "**** install MongoDB ****\n" && \
+	pecl install mongodb && \
+	docker-php-ext-enable mongodb; \
+	apk del --purge autoconf openssl-dev g++ make;
+RUN echo "**** install Python ****\n" && \
+    apk add --no-cache python3 && \
+    if [ ! -e /usr/bin/python ]; then ln -sf python3 /usr/bin/python ; fi && \
+    \
+    echo "**** install pip ****\n" && \
+    python3 -m ensurepip && \
+    rm -r /usr/lib/python*/ensurepip && \
+    pip3 install --no-cache --upgrade pip setuptools wheel && \
+    if [ ! -e /usr/bin/pip ]; then ln -s pip3 /usr/bin/pip ; fi
+RUN echo "**** install PHP Composer ****\n" && \
+    curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
\ No newline at end of file
diff --git a/docker/php-fpm/dev/Dockerfile b/docker/php-fpm/dev/Dockerfile
new file mode 100644
index 0000000..f98a6ba
--- /dev/null
+++ b/docker/php-fpm/dev/Dockerfile
@@ -0,0 +1,22 @@
+#DEV ONLY DOCKERFILE
+FROM php:7.4-fpm-alpine
+RUN apk update; \
+	apk upgrade; \
+	apk add autoconf openssl-dev g++ make && \
+	pecl install mongodb && \
+	docker-php-ext-enable mongodb; \
+	apk del --purge autoconf openssl-dev g++ make;
+
+RUN echo "**** install Python ****" && \
+    apk add --no-cache python3 && \
+    if [ ! -e /usr/bin/python ]; then ln -sf python3 /usr/bin/python ; fi && \
+    \
+    echo "**** install pip ****" && \
+    python3 -m ensurepip && \
+    rm -r /usr/lib/python*/ensurepip && \
+    pip3 install --no-cache --upgrade pip setuptools wheel && \
+    if [ ! -e /usr/bin/pip ]; then ln -s pip3 /usr/bin/pip ; fi
+RUN echo "**** install PHP Composer ****\n" && \
+    curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/bin --filename=composer
+COPY requirements.txt /requirements.txt
+RUN pip install -r /requirements.txt
\ No newline at end of file
diff --git a/docker/php-fpm/dev/requirements.txt b/docker/php-fpm/dev/requirements.txt
new file mode 100644
index 0000000..e69de29
diff --git a/docker/php-fpm/dev/xdebug.ini b/docker/php-fpm/dev/xdebug.ini
new file mode 100644
index 0000000..efd9594
--- /dev/null
+++ b/docker/php-fpm/dev/xdebug.ini
@@ -0,0 +1,6 @@
+[XDebug]
+xdebug.remote_enable=1
+xdebug.remote_autostart=1
+xdebug.remote_handler=dbgp
+xdebug.remote_port=9000
+xdebug.remote_connect_back=0
\ No newline at end of file
diff --git a/guide/1.png b/guide/1.png
deleted file mode 100644
index d8237e7..0000000
Binary files a/guide/1.png and /dev/null differ
diff --git a/guide/2.png b/guide/2.png
deleted file mode 100644
index 05fbdb0..0000000
Binary files a/guide/2.png and /dev/null differ
diff --git a/guide/3.png b/guide/3.png
deleted file mode 100644
index 4c63e7b..0000000
Binary files a/guide/3.png and /dev/null differ
diff --git a/modules/crawler/.devcontainer/devcontainer.json b/modules/crawler/.devcontainer/devcontainer.json
new file mode 100644
index 0000000..9de6f9d
--- /dev/null
+++ b/modules/crawler/.devcontainer/devcontainer.json
@@ -0,0 +1,12 @@
+{
+    "forwardPorts": [8000],
+    "extensions": [
+        "vscode-icons-team.vscode-icons",
+        "felixfbecker.php-intellisense"
+    ],
+    "workspaceFolder": "/src",
+    "service": "crawler",
+    "shutdownAction": "stopCompose",
+    "dockerComposeFile": ["../../../docker-compose.yml", "../../../docker-compose-dev.yml"],
+    "mounts":["source=vscode-extensions-php,target=/src/.vscode-server/extensions,type=volume"]
+}
\ No newline at end of file
diff --git a/modules/crawler/crontab b/modules/crawler/crontab
new file mode 100644
index 0000000..8cb9592
--- /dev/null
+++ b/modules/crawler/crontab
@@ -0,0 +1,2 @@
+0 1 * * * echo test
+# Mandatory blank line
\ No newline at end of file
diff --git a/modules/crawler/python.code-workspace b/modules/crawler/python.code-workspace
new file mode 100644
index 0000000..d6f9cd6
--- /dev/null
+++ b/modules/crawler/python.code-workspace
@@ -0,0 +1,25 @@
+{
+	"folders": [
+		{
+			"path": "."
+		}
+	],
+	"settings": {
+		"php.suggest.basic":false,
+		"files.autoSave": "afterDelay",
+		"python.linting.pylintEnabled": true,
+		"python.linting.enabled": true,
+		"python.linting.pylintPath": "pylint",
+		"python.pythonPath": "/usr/local/bin/python",
+		"python.formatting.provider": "yapf"
+	},
+	"extensions": {
+		"recommendations": [
+			"vscode-icons-team.vscode-icons",
+			"ms-python.python",
+			"njpwerner.autodocstring",
+			"magicstack.magicpython",
+			"ms-vscode-remote.remote-containers"
+		]
+	}
+}
\ No newline at end of file
diff --git a/modules/crawler/requirements.txt b/modules/crawler/requirements.txt
new file mode 100644
index 0000000..8518c3f
--- /dev/null
+++ b/modules/crawler/requirements.txt
@@ -0,0 +1,3 @@
+emoji===0.5.4
+pylint===2.4.4
+yapf===0.30.0
\ No newline at end of file
diff --git a/modules/crawler/test.py b/modules/crawler/test.py
new file mode 100644
index 0000000..39b41a5
--- /dev/null
+++ b/modules/crawler/test.py
@@ -0,0 +1,4 @@
+import emoji
+
+print(emoji.emojize("Python is :thumbs_up:"))
+print("test")
diff --git a/python-module/.devcontainer/devcontainer.json b/python-module/.devcontainer/devcontainer.json
deleted file mode 100644
index 8e72f9e..0000000
--- a/python-module/.devcontainer/devcontainer.json
+++ /dev/null
@@ -1,12 +0,0 @@
-{
-    "forwardPorts": [8000],
-    "extensions": [
-        "vscode-icons-team.vscode-icons",
-        "felixfbecker.php-intellisense"
-    ],
-    "workspaceFolder": "/var/www/symfony",
-    "build": {
-        "context": ".",
-        "dockerfile": "../../build/php-fpm/dev/Dockerfile"
-    }
-}
\ No newline at end of file
diff --git a/python-module/python.code-workspace b/python-module/python.code-workspace
deleted file mode 100644
index e02faea..0000000
--- a/python-module/python.code-workspace
+++ /dev/null
@@ -1,20 +0,0 @@
-{
-	"folders": [
-		{
-			"path": "."
-		}
-	],
-	"settings": {
-		"php.suggest.basic":false,
-		"files.autoSave": "afterDelay",
-		"python.linting.enabled": true,
-		"python.linting.lintOnSave": true
-	},
-	"extensions": {
-		"recommendations": [
-			"vscode-icons-team.vscode-icons",
-			"ms-python.python",
-			"ms-vscode-remote.remote-containers"
-		]
-	}
-}
\ No newline at end of file
diff --git a/python-module/requirements.txt b/python-module/requirements.txt
deleted file mode 100644
index 8beddf2..0000000
--- a/python-module/requirements.txt
+++ /dev/null
@@ -1,2 +0,0 @@
-emoji===0.5.4
-pylint===2.4.4
\ No newline at end of file
diff --git a/python-module/test.py b/python-module/test.py
deleted file mode 100644
index f8317bb..0000000
--- a/python-module/test.py
+++ /dev/null
@@ -1,2 +0,0 @@
-import emoji
-print(emoji.emojize('Python is :thumbs_up:'))
diff --git a/scripts/build.sh b/scripts/build.sh
index ae1f409..b2c54d0 100755
--- a/scripts/build.sh
+++ b/scripts/build.sh
@@ -1,6 +1,3 @@
 #!/bin/bash
-#Build development environment
-docker-compose down
-docker-compose up --build -d
-docker-compose exec -T php-fpm composer install --no-interaction --working-dir=/var/www/symfony --no-dev
-docker-compose exec -T php-fpm pip install -r /var/python-module/requirements.txt
\ No newline at end of file
+docker-compose up -f docker-compose.yml -f docker-compose-prod.yml --build -d
+docker-compose exec -T php-fpm composer install --no-interaction --working-dir=/var/www/symfony --no-dev
\ No newline at end of file
diff --git a/scripts/dev/build.bat b/scripts/dev/build.bat
index d757b63..4dc7e35 100644
--- a/scripts/dev/build.bat
+++ b/scripts/dev/build.bat
@@ -1,5 +1,4 @@
-docker-compose -f .docker-compose-dev.yml up --build -d
+docker-compose -f docker-compose.yml -f docker-compose-dev.yml up --build -d
 docker-compose exec php-fpm composer config extra.symfony.allow-contrib true --no-interaction --working-dir=/var/www/symfony
 docker-compose exec php-fpm composer install --no-interaction --working-dir=/var/www/symfony
 docker-compose exec php-fpm composer update --no-interaction --working-dir=/var/www/symfony
-
diff --git a/scripts/dev/build.sh b/scripts/dev/build.sh
index 857118b..767a18d 100755
--- a/scripts/dev/build.sh
+++ b/scripts/dev/build.sh
@@ -1,6 +1,6 @@
 #!/bin/bash
 #Build development environment
-docker-compose -f .docker-compose-dev.yml up --build -d
+docker-compose -f docker-compose.yml -f docker-compose-dev.yml up --build -d
 
 cat << "EOF"
  ______  ______  __    __  ______ ______  ______  ______  ______       __  __   __  ______  ______ ______  __      __        
@@ -9,12 +9,5 @@ cat << "EOF"
  \ \_____\ \_____\ \_\ \ \_\ \_\  \ \_____\/\_____\ \_____\ \_\ \_\    \ \_\ \_\\"\_\/\_____\ \ \_\\ \_\ \_\ \_____\ \_____\ 
   \/_____/\/_____/\/_/  \/_/\/_/   \/_____/\/_____/\/_____/\/_/ /_/     \/_/\/_/ \/_/\/_____/  \/_/ \/_/\/_/\/_____/\/_____/                                                                                                                                                                                                                                                                                                                                                                                                                                      
 EOF
+docker-compose exec php-fpm composer update --no-interaction --working-dir=/var/www/symfony
 docker-compose exec php-fpm composer install --no-interaction --working-dir=/var/www/symfony
-cat << "EOF"
- ______  __   ______     __   __   __   ______   ______  ______   __       __        
-/\  == \/\ \ /\  == \   /\ \ /\ "-.\ \ /\  ___\ /\__  _\/\  __ \ /\ \     /\ \       
-\ \  _-/\ \ \\ \  _-/   \ \ \\ \ \-.  \\ \___  \\/_/\ \/\ \  __ \\ \ \____\ \ \____  
- \ \_\   \ \_\\ \_\      \ \_\\ \_\\"\_\\/\_____\  \ \_\ \ \_\ \_\\ \_____\\ \_____\ 
-  \/_/    \/_/ \/_/       \/_/ \/_/ \/_/ \/_____/   \/_/  \/_/\/_/ \/_____/ \/_____/                                                                                                                                                                                     
-EOF
-docker-compose exec php-fpm pip install -r /var/python-module/requirements.txt
diff --git a/scripts/dev/pip.bat b/scripts/dev/pip.bat
index e89eccc..60706c9 100644
--- a/scripts/dev/pip.bat
+++ b/scripts/dev/pip.bat
@@ -1 +1 @@
-docker-compose exec -T php-fpm pip install -r /var/python/requirements.txt
\ No newline at end of file
+docker-compose exec -T crawler pip install -r /var/python/requirements.txt
\ No newline at end of file
diff --git a/scripts/pip.sh b/scripts/pip.sh
index 320eb46..9cad286 100644
--- a/scripts/pip.sh
+++ b/scripts/pip.sh
@@ -1,2 +1,2 @@
-#install requirements pips.sh install -r /var/python/requirements.txt
-docker-compose exec -T php-fpm pip $@
\ No newline at end of file
+#install requirements pip.sh install -r /var/python/requirements.txt
+docker-compose exec -T crawler pip $@
\ No newline at end of file